=== debian/changelog ===
hwdata (0.368-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 02 Mar 2023 07:25:02 +0100
