=== debian/changelog ===
hwdata (0.373-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Aug 2023 22:55:49 +0200

hwdata (0.372-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Jul 2023 07:00:50 +0200

hwdata (0.371-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 15 Jun 2023 09:37:29 +0200
