## hwdata 0.374

=== debian/changelog ===
hwdata (0.374-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 05 Sep 2023 19:07:30 +0200
