## hwdata 0.378

=== debian/changelog ===
hwdata (0.378-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 05 Jan 2024 14:12:44 +0100

hwdata (0.377-2-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to consider also dashes in versions.

 -- Pino Toscano <pino@debian.org>  Mon, 04 Dec 2023 11:46:20 +0100

hwdata (0.376-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 03 Nov 2023 19:03:21 +0100

hwdata (0.375-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Oct 2023 12:11:27 +0200
