=== debian/changelog ===
hwdata (0.379-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 10 Feb 2024 06:29:32 +0100
