## hwdata 0.383

=== debian/changelog ===
hwdata (0.383-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 25 Jun 2024 20:51:52 +0200

hwdata (0.380-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 06 Mar 2024 06:34:47 +0100
