## hwdata 0.384

=== debian/changelog ===
hwdata (0.384-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Jul 2024 18:33:50 +0200
