## hwdata 0.385

=== debian/changelog ===
hwdata (0.385-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 10 Aug 2024 06:49:52 +0200
