## hwdata 0.387

=== Makefile ===
--- 
+++ 
@@ -145,7 +145,8 @@
 	./process-pnp-ids.py $? $@
 
 pnp.ids: pnp.ids.orig pnp.ids.patch
-	patch -p1 -o $@ pnp.ids.orig pnp.ids.patch
+	patch -p1 -o - pnp.ids.orig pnp.ids.patch | \
+	    sed 's/\tDO NOT USE - /\tInvalid Vendor Codename - /' >$@
 
 %.utf8: %.downloaded
 	@text=`LANG=C file $?`
