=== debian/changelog ===
hwdata (0.387-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 13 Sep 2024 18:50:42 +0200
