## hwdata 0.392

=== debian/changelog ===
hwdata (0.392-1) unstable; urgency=medium

  * New upstream release.
  * debian/not-installed: comment why iab.txt, and oui.txt are not shipped.

 -- Pino Toscano <pino@debian.org>  Tue, 04 Feb 2025 17:15:16 +0100
