## hwdata 0.393

=== debian/changelog ===
hwdata (0.393-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Mar 2025 07:42:19 +0100
