=== debian/changelog ===
hwdata (0.394-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 04 Apr 2025 07:05:37 +0200

hwdata (0.393-3) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Mon, 10 Mar 2025 06:44:55 +0100

hwdata (0.393-2) experimental; urgency=medium

  * Split /usr/share/hwdata/pnp.ids into its own pnp.ids binary package:
    this will make it possible for users/packages to depend only on it without
    pulling the whole hwdata (which might get more data files in the future).
  * Improve/update description of hwdata.

 -- Pino Toscano <pino@debian.org>  Sun, 09 Mar 2025 14:41:34 +0100
