=== debian/control ===
--- 
+++ 
@@ -12,8 +12,22 @@
 Package: hwdata
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, pci.ids, usb.ids
+Depends: ${misc:Depends}, pnp.ids (= ${binary:Version}), pci.ids, usb.ids
 Description: hardware identification / configuration data
  This package contains various hardware identification and configuration data,
- such as the pci.ids database, or the XFree86/xorg Cards database.
- It is needed for the kudzu hardware detection.
+ such as the pci.ids, pnp.ids, and usb.ids databases.
+ .
+ Some of the shipped databases can be installed on their own; see the specific
+ packages "pci.ids", "pnp.ids", and "usb.ids".
+
+Package: pnp.ids
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+Breaks: hwdata (<< 0.393-2~),
+Replaces: hwdata (<< 0.393-2~),
+Description: PNP ID Registry
+ This package contains the pnp.ids file, a public registry of all known
+ Vendor ID's used in PnP devices: ID's of vendors and names of vendors.
+ It is used in various programs to display full human-readable names instead
+ of cryptic codes.
